Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159670 - sound clipping for accessibility text to speech
Summary: sound clipping for accessibility text to speech
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: alsa-lib
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL: http://www.alsa-project.org/changes/v...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-06 19:41 UTC by George Kraft
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-17 15:56:23 UTC


Attachments (Terms of Use)

Description George Kraft 2005-06-06 19:41:20 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
ALSA has just released version 1.0.9a which fixes their eight month old bug #557 which caused sound clipping for accessibility text to speech.

Version-Release number of selected component (if applicable):
alsa-lib-1.0.9rc2-4

How reproducible:
Always

Steps to Reproduce:
1. Install ibmtts (aka viavoice)
2. automake gnome-speech
3. run "test-speech"
  

Actual Results:  test-speech will chop off the end of spoken text.  Festival will not work out of the box for a different reason, so ibmtts is used in this example.

Expected Results:  test-speech should complete its spoken text.

Additional info:

http://www.alsa-project.org/changes/v1-0-9--v1-0-9a.txt

https://bugtrack.alsa-project.org/alsa-bug/view.php?id=557

Comment 1 Martin Stransky 2005-06-16 13:08:00 UTC
Integration of ALSA 1.0.9a/b in kernel depends on people from
kernel-upstream, we only overtake official kernel with ALSA drivers. I
think it won't take a long time. Alsa-utils 1.0.9a are comming.

Comment 2 George Kraft 2005-06-17 15:40:24 UTC
See SNDCTL_DSP_GETOPTR in ALSA's change log.

Comment 3 George Kraft 2005-06-17 15:44:49 UTC
I filed a kernel bug to pickup ALSA 1.0.9a.  Sorry about the superfluous comment
#2 above.

http://bugzilla.kernel.org/show_bug.cgi?id=4761



Comment 4 Martin Stransky 2005-06-17 15:56:23 UTC
No problem, closing as upstream.

Comment 5 George Kraft 2005-07-29 16:26:55 UTC
According to kernel bug 4761 mentioned above, it has been integrated into kernel
2.6.13-rc4.   When can ALSA on Fedora be uplifted to 1.0.9a or better?


Note You need to log in before you can comment on or make changes to this bug.